# pylint: disable=missing-docstring
TSFIT_LIOPTS_MIN = 100
TSFIT_LOPTS_MIN = 100
TSFIT_SOLVER_ID = 111
IERR_TSFIT_COEF = 100
IERR_TSFIT_CONSTRAINT = 101
IERR_TSFIT_INIT = 102
IERR_TSFIT_LOCEXT = 103
IERR_TSFIT_LSE = 104
IERR_TSFIT_OPTION = 105
IERR_TSFIT_SVD = 106
IERR_TSFIT_BOUNDS = 107
IFMT_TSFIT_COEF_SIZE = 1002
IFMT_TSFIT_DATA_SIZE = 1003
IFMT_TSFIT_DEGREE = 1004
IFMT_TSFIT_GRIDX = 1005
IFMT_TSFIT_GRIDY = 1006
IFMT_TSFIT_MAXP = 1007
IFMT_TSFIT_MINP = 1008
IFMT_TSFIT_RBF = 1009
IFMT_TSFIT_DEGENERATE = 1010
IFMT_TSFIT_X_BOUND = 1011
IFMT_TSFIT_Y_BOUND = 1012
TSFIT_P_LCOEFS = 10
TSFIT_P_GSMOOTHNESS = 12
MCS_LIOPTS_MIN = 100
MCS_LOPTS_MIN = 100
E05UC_LIOPTS_MIN = 740
E05UC_LOPTS_MIN = 485
MCS_SOLVER_ID = 111
PSO_SOLVER_ID_A = 121
PSO_SOLVER_ID_B = 131
E05UC_SOLVER_ID = 141
PSO_SOLVER_ID_AC = 151
PSO_SOLVER_ID_BC = 161
E05US_SOLVER_ID = 171
OPT_P_LINK_RAND_R = 1
OPT_P_LIOPTS_MIN = 1
OPT_P_LOPTS_MIN = 2
OPT_P_LINK_RAND_I = 5
OPT_TYPE_DEF = 0
OPT_TYPE_INT = 1
OPT_TYPE_REAL = 2
OPT_TYPE_CHAR = 3
OPT_TYPE_INCH = 4
OPT_TYPE_RECH = 5
OPT_TYPE_IDENTIFY = 6
NPS_CMP_EQUAL = 0
NPS_CMP_HANDLE_ASSOC = 1
NPS_CMP_CPBOX_INFO = 2
NPS_CMP_CPBOX_ASSOC = 3
NPS_CMP_PHASE = 4
NPS_CMP_NVAR = 5
NPS_CMP_USROBJ = 6
NPS_CMP_USRCLIN = 7
NPS_CMP_USRMI = 8
NPS_CMP_USRBOX = 9
NPS_CMP_IOPTS = 10
NPS_CMP_OPTS = 11
NPS_CMP_FDX = 12
NPS_CMP_FDDX = 13
NPS_CMP_BXTYPE = 14
NPS_CMP_BLX = 15
NPS_CMP_BUX = 16
NPS_CMP_BBTYPE = 17
NPS_CMP_BLB = 18
NPS_CMP_BUB = 19
NPS_CMP_NNZB = 20
NPS_CMP_BMAT = 21
NPS_CMP_USRMI_LENGTH = 22
NPS_CMP_USRMI_NBLK = 23
NPS_CMP_USRMI_IDBLK = 24
NPS_CMP_USRMI_BLKST = 25
NPS_CMP_USRMI_A = 26
NPS_CMP_USRMI_Q = 27
NPS_CMP_USRMILAST = 28
NPS_CMP_USRCNLN = 29
NPS_CMP_USRHESS = 30
NPS_CMP_USRHESSIDX = 31
NPS_CMP_CNLN_BNDS = 32
NPS_CMP_CMAT = 33
NPS_CMP_USRCN = 34
NPS_CMP_USRCNLAST = 35
NPS_CMP_USRCN_LENGTH = 36
NPS_CMP_USRCN_C = 37
NPS_ERR_CPTR = 1
NPS_ERR_DFLSMAXCAL = 21
NPS_ERR_DFLSNPT = 6
NPS_ERR_DFLSUSRSTOP = 20
NPS_ERR_DFLS_INDVAR = 6
NPS_ERR_DFLS_MAXIMIZATION = 8
NPS_ERR_DFLS_NEGTRSTEP = 18
NPS_ERR_DFLS_ROUNDING = 19
NPS_ERR_DFLS_SLOWCONV1 = 50
NPS_ERR_DFLS_SLOWCONV2 = 24
NPS_ERR_DFO_ALLFIXED = 7
NPS_ERR_DFO_LINALG = 19
NPS_ERR_DFO_NPTINIT = 6
NPS_ERR_DFO_RESCFAILED = 17
NPS_ERR_DFO_TRINC = 5
NPS_ERR_PHASE = 2
NPS_ERR_WRONGSLV = 2
NPS_ERR_MULTIPLECALL = 3
NPS_ERR_SLV_DIFF = 3
NPS_ERR_NVAR_MATCH = 4
NPS_ERR_REF_MATCH = 4
NPS_ERR_REF_MATCH2 = 5
NPS_ERR_ARGUMENT = 6
NPS_ERR_ARR_ARGUMENT = 6
NPS_ERR_ARGUMENT2 = 7
NPS_ERR_NRES_EMPTY = 8
NPS_ERR_SPMAT = 8
NPS_ERR_ARGUMENT3 = 9
NPS_ERR_BOUNDS = 10
NPS_ERR_USRSTOP = 20
NPS_ERR_WRONGX0 = 21
NPS_ERR_MAXIT = 22
NPS_ERR_INNER = 23
NPS_ERR_TIMELIMIT = 23
NPS_ERR_NOPROGRESS = 24
NPS_ERR_USRINVALID = 25
NPS_ERR_SUBOPTIMAL = 50
NPS_ERR_ISINFEAS = 51
NPS_ERR_ISDINFEAS = 52
NPS_ERR_ISUNBND = 52
NPS_ERR_SEEMSINFEAS = 53
NPS_ERR_SEEMSUNBND = 54
NPS_ERR_PRINT = 199
PSO_IFAIL_SUCCESS_NG = 1
PSO_IFAIL_SUCCESS_FAST = 2
PSO_IFAIL_USER_EXIT = 3
PSO_IFAIL_INFEAS = 4
PSO_IFAIL_ILLEGAL_NDIM = 11
PSO_IFAIL_ILLEGAL_NPAR = 12
PSO_IFAIL_ILLEGAL_NCON = 13
PSO_IFAIL_ILLEGAL_BULTBL = 14
PSO_IFAIL_ILLEGAL_SZM = 17
PSO_IFAIL_ILLEGAL_OPTCON = 18
PSO_IFAIL_ILLEGAL_MINOPT = 19
PSO_IFAIL_OPTS_CORRUPT = 21
PSO_IFAIL_GRADIENTS = 32
PSO_IFAIL_SMP_THDSAF = 51
PSO_LIOPTS_DEF = 100
PSO_LOPTS_DEF = 100
IERR_OPT_UNKNOWN = 11
IERR_OPT_NO_EQUAL = 12
IERR_OPT_NON_NUMERIC = 13
IERR_OPT_VALUE = 13
IERR_OPT_RNAME = 14
IERR_OPT_IVALUE = 15
IERR_OPT_RVALUE = 16
IERR_OPT_CVALUE = 17
IERR_OPT_NO_GET = 18
IERR_OPTS_CORRUPT = 21
IERR_OPTS_NOT_INIT = 21
IERR_LIOPTS_TOO_SMALL = 31
IERR_CVALUE_TOO_SMALL = 41
IERR_LOPTS_TOO_SMALL = 51
IERR_OPTS_TOO_SMALL = 51
IERR_OPTS_CORRUPT_GETTER = 61
IFMT_OPTS_NOT_INIT = 1000
IFMT_OPTS_TOO_SMALL = 1001
IFMT_OPT_NOMATCH = 1008
IFMT_OPTS_NOT_LINKED = 1021
IFMT_OPT_UNKNOWN = 1101
IFMT_OPT_CVALUE_NOREC = 1301
IFMT_OPT_CVALUE_REC_NOUSE = 1302
IFMT_OPT_GARBAGE = 1303
IFMT_OPT_NONNUM = 1304
IFMT_OPT_IVALUE_LESS = 1501
IFMT_OPT_IVALUE_MORE = 1502
IFMT_OPT_IVALUE_ABS_LESS = 1503
IFMT_OPT_IVALUE_ABS_MORE = 1504
IFMT_OPT_IVALUE_BOUND = 1505
IFMT_OPT_IVALUE_SET = 1506
IFMT_OPT_RVALUE_LESS = 1601
IFMT_OPT_RVALUE_MORE = 1602
IFMT_OPT_RVALUE_ABS_LESS = 1603
IFMT_OPT_RVALUE_ABS_MORE = 1604
IFMT_OPT_RVALUE_BOUND = 1605
IFMT_OPT_RVALUE_SET = 1606
IFMT_OPT_NO_EQUAL = 1701
IFMT_CVALUE_TOO_SMALL = 1801
IFMT_OPTS_CORRUPT = 6666
IFMT_OPT_RNAME = 9908
E02BFF_IERR_NTINSP = 1
E02BFF_IERR_NOVALID = 2
E02BFF_IERR_START = 11
E02BFF_IERR_START_NX = 12
E02BFF_IERR_NCAP7 = 21
E02BFF_IERR_LAMDA = 31
E02BFF_IERR_NX = 91
E02BFF_IERR_LDS = 111
E02BFF_IERR_LIWRK = 131
E02BFF_IFMT_NTINSP = 1001
E02BFF_IFMT_NOVALID = 1002
E02BFF_IFMT_START = 1101
E02BFF_IFMT_NCAP7 = 1102
E02BFF_IFMT_LAMDA = 1103
E02BFF_IFMT_NX = 1104
E02BFF_IFMT_LDS = 1105
E02BFF_IFMT_LIWRK = 1106
E02BFF_IFMT_START_NX = 1111
