# -*- coding: utf-8 -*-
u"""
Examples for the ``surviv`` module.

``surviv`` - Survival Analysis

This module is concerned with statistical techniques used in the
analysis of survival/reliability/failure time data.

Other modules contain functions which are also used to analyse this type
of data. Submodule ``correg`` contains generalized linear models,
submodule ``univar`` contains functions to fit distribution models, and
submodule ``nonpar`` contains rank based methods.

For full information please refer to the NAG Library document

https://www.nag.com/numeric/nl/nagdoc_27/flhtml/g12/g12intro.html
"""

# NAG Copyright 2017-2019.

pass
